Page MenuHomePhabricator

Add support for change tags to MessagePoster
Closed, ResolvedPublic1 Story Points

Description

At the moment, MediaWiki core's Javascipt module for posting messages (mediawiki.messagePoster) only supports a message subject and body. It would be nice to be able to add change tags to the message as well, at least for the WikitextMessagePoster.

This will be used in T226789: Add a #pagetriage revision tag to every edit made by the PageTriage extension

Details

Related Gerrit Patches:
mediawiki/core : masterAdd change-tags to MessagePoster

Event Timeline

Samwilson created this task.Jul 3 2019, 3:57 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 3 2019, 3:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 522019 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/core@master] Add change-tags to MessagePoster

https://gerrit.wikimedia.org/r/522019

JTannerWMF moved this task from Inbox to External on the Growth-Team board.Jul 11 2019, 7:55 PM
JTannerWMF added a subscriber: JTannerWMF.

Moving this task to External for Growth-Team , I know Community-Tech is working on PageCuration

Niharika triaged this task as Medium priority.Jul 11 2019, 8:57 PM
Samwilson set the point value for this task to 1.Jul 12 2019, 12:48 AM

Change 522019 merged by jenkins-bot:
[mediawiki/core@master] Add change-tags to MessagePoster

https://gerrit.wikimedia.org/r/522019

dom_walden added a subscriber: dom_walden.

Using MessagePoster I was allowed to add a tags parameter to api.php?action=edit, which tags the edit (like so). The other POST parameters were the same as before. The parameter is optional; without it the POST is the same as before.

Example code:

msgProm = mw.messagePoster.factory.create(
					new mw.Title(
						"User_talk:Drwpb"
					)
				);
msgProm.then(function ( messagePoster ) {
					return messagePoster.post(
						"Subject",
						"Body",
                                                {"tags": "pagetriage"}
					)})
ifried closed this task as Resolved.Jul 31 2019, 5:49 PM